Search API

- Preparing search index...
- The search index is not available

Show Summaries
GoJS® Diagramming Components
version 1.8.33 for JavaScript/HTML
by Northwoods Software®

## Class TreeNetwork

Extends LayoutNetwork. This class represents an abstract graph of TreeVertexes and TreeEdges that can be constructed based on the Nodes and Links of a Diagram so that the TreeLayout can operate independently of the diagram until it is time to commit any node positioning or link routing.

This class inherits from LayoutNetwork.

## Constructor Summary Details

Name | Description
--- | ---
TreeNetwork() |

Properties borrowed from class LayoutNetwork:
  edges, layout, vertexes

Methods borrowed from class LayoutNetwork:
  addEdge, addLink, addNode, addParts, addVertex, createEdge, createVertex, deleteArtificialVertexes, deleteEdge, deleteLink, deleteNode, deleteSelfEdges, deleteVertex, findAllParts, findEdge, findVertex, linkVertexes, reverseEdge, splitIntoSubNetworks